Package org.zkoss.zkex.zul

## Class Jasperreport.JasperreporteExporterImpl

- java.lang.Object
- - org.zkoss.zkex.zul.Jasperreport.JasperreporteExporterImpl

- All Implemented Interfaces:
    `JasperreportExporterFactory`
  Enclosing class:
    Jasperreport

      public class Jasperreport.JasperreporteExporterImpl
      extends java.lang.Object
      implements JasperreportExporterFactory

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JasperreporteExporterImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getContentType​(java.lang.String type)` | return the content type for specific type For example , xls => "application/vnd.ms-excel";
    `java.lang.String` | `getFormat​(java.lang.String type)` | Return the file extension name.
    `net.sf.jasperreports.engine.JRExporter` | `getJRExporter​(java.lang.String type)` | Currently Supported type list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JasperreporteExporterImpl

          public JasperreporteExporterImpl()

  - ### Method Detail

    - #### getJRExporter

          public net.sf.jasperreports.engine.JRExporter getJRExporter​(java.lang.String type)

      Description copied from interface: `JasperreportExporterFactory`
      Currently Supported type list.
      1. pdf
      2. xml
      3. html
      4. rtf
      5. xls
      6. jxl
      7. csv
      8. odt
      9. xlsx
      10. docx
      11. graphic2d
      12. ods
      13. pptx
      14. txt
      15. xhtml
      Specified by:
        `getJRExporter` in interface `JasperreportExporterFactory`
      Returns:
        JRExporter

    - #### getContentType

          public java.lang.String getContentType​(java.lang.String type)

      Description copied from interface: `JasperreportExporterFactory`
      return the content type for specific type For example , xls => "application/vnd.ms-excel";
      Specified by:
        `getContentType` in interface `JasperreportExporterFactory`
      Returns:
        String

    - #### getFormat

          public java.lang.String getFormat​(java.lang.String type)

      Description copied from interface: `JasperreportExporterFactory`
      Return the file extension name. For example , jxl => "xls" , pdf => "pdf";
      Specified by:
        `getFormat` in interface `JasperreportExporterFactory`
      Returns:
        String